1

I have a Domino Server 9.0.1. Since it's already have the extlib installed, therefore I just install the extlibx component from the downloaded extension library. The version that I download is the latest. But when I issue the above command all I get for extlib is <<LAZY>> which worries me if maybe what I did by installing the extlibx will cause the extlib to be disabled. Before doing the installation I forgot to issue the command so I'm not sure if it's already like that before. The following is what I got from the console:

[0C08:0002-05B8] 13/03/2014 12:07:14 PM  Framework is launched.
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  id State       Bundle
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  13 RESOLVED    com.ibm.xsp.extlibx.oauth_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM               Master=205
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  14 RESOLVED    com.ibm.xsp.extlibx.relational.derby_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  17 <<LAZY>>    com.ibm.xsp.extlibx_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  18 <<LAZY>>    com.ibm.xsp.extlibx.core_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  21 RESOLVED    com.ibm.xsp.extlibx.controls_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  26 <<LAZY>>    com.ibm.xsp.extlibx.relational_9.0.1.v00_04_20140226-1506
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  200 <<LAZY>>    com.ibm.xsp.extlib.controls_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  201 <<LAZY>>    com.ibm.xsp.extlib.core_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  202 <<LAZY>>    com.ibm.xsp.extlib.domino_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  203 <<LAZY>>    com.ibm.xsp.extlib.mobile_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  204 <<LAZY>>    com.ibm.xsp.extlib.oneui_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM  205 <<LAZY>>    com.ibm.xsp.extlib_9.0.1.v00_00_20131004-1200
[0C08:0002-05B8] 13/03/2014 12:07:14 PM               Fragments=13

I went to C:\Program Files\IBM\Domino\osgi\shared\eclipse\plugins, all the jar for extlib are there. So it's not like they got deleted or something. I also went to the server document and the ID that I used is included in the "Sign agents or XPages to run on behalf of the invoker".

Although this is a server thing, I did went to check the domino designer since I've installed the extlibx via the updatesite method into the designer. I went to the About IBM Domino Designer from the Help menu and all the extlib Install State is "Uninstall" and I'm not sure what they are before.

Which got me worried even more if a developer using Designer 9.0.1 actually install from my updatesite and causes their extlib to become "uninstall".

So is there anyway to solve the above 2 issues? There's not much info around. Both restart task http and restart server has been issued but it's still the same.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.